<?php declare(strict_types=1);

namespace App\Repository;

use App\Entity\FoodOrder;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<FoodOrder>
 *
 * @method FoodOrder|null find($id, $lockMode = null, $lockVersion = null)
 * @method FoodOrder|null findOneBy(array $criteria, array $orderBy = null)
 * @method FoodOrder[]    findAll()
 * @method FoodOrder[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class FoodOrderRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, FoodOrder::class);
    }

    /**
     * @return FoodOrder[] Returns an array of FoodOrder objects
     */
    public function findOpenOrders(): array
    {
        return $this
            ->createQueryBuilder('f')
            ->andWhere('f.closedAt IS NULL')
            ->getQuery()
            ->getResult();
    }
}
